org.apache.hadoop.yarn.server.federation.store.records

## Enum SubClusterState

- java.lang.Object
- - java.lang.Enum<SubClusterState>
  - - org.apache.hadoop.yarn.server.federation.store.records.SubClusterState

- All Implemented Interfaces:
    Serializable, Comparable<SubClusterState>

      @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public enum SubClusterState
      extends Enum<SubClusterState>

  State of a `SubCluster`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SC_DECOMMISSIONED` Subcluster is out of service.
    `SC_DECOMMISSIONING` Subcluster is in the process of being out of service.
    `SC_LOST` RM has not sent a heartbeat for some configured time threshold.
    `SC_NEW` Newly registered subcluster, before the first heartbeat.
    `SC_RUNNING` Subcluster is registered and the RM sent a heartbeat recently.
    `SC_UNHEALTHY` Subcluster is unhealthy.
    `SC_UNREGISTERED` Subcluster has unregistered.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.slf4j.Logger` | `LOG`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SubClusterState` | `fromString(String x)` Convert a string into `SubClusterState`.
    `boolean` | `isActive()`
    `boolean` | `isFinal()`
    `boolean` | `isUnusable()`
    `static SubClusterState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SubClusterState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SC_NEW

          public static final SubClusterState SC_NEW

      Newly registered subcluster, before the first heartbeat.

    - #### SC_RUNNING

          public static final SubClusterState SC_RUNNING

      Subcluster is registered and the RM sent a heartbeat recently.

    - #### SC_UNHEALTHY

          public static final SubClusterState SC_UNHEALTHY

      Subcluster is unhealthy.

    - #### SC_DECOMMISSIONING

          public static final SubClusterState SC_DECOMMISSIONING

      Subcluster is in the process of being out of service.

    - #### SC_DECOMMISSIONED

          public static final SubClusterState SC_DECOMMISSIONED

      Subcluster is out of service.

    - #### SC_LOST

          public static final SubClusterState SC_LOST

      RM has not sent a heartbeat for some configured time threshold.

    - #### SC_UNREGISTERED

          public static final SubClusterState SC_UNREGISTERED

      Subcluster has unregistered.

  - ### Field Detail

    - #### LOG

          public static final org.slf4j.Logger LOG

  - ### Method Detail

    - #### values

          public static SubClusterState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SubClusterState c : SubClusterState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SubClusterState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isUnusable

          public boolean isUnusable()

    - #### isActive

          public boolean isActive()

    - #### isFinal

          public boolean isFinal()

    - #### fromString

          public static SubClusterState fromString(String x)

      Convert a string into `SubClusterState`.
      Parameters:
        `x` - the string to convert in SubClusterState
      Returns:
        the respective `SubClusterState`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.